%define name gens
%define version 2.15.5
%define release %mkrel 1

Summary: Gens is a Sega Megadrive, MegaCD & 32X emulator
Name:	 %{name}
Version: %{version}
Release: %{release}
URL:     http://gens.consolemul.com/
Source:  http://sourceforge.net/projects/gens/%{name}-%{version}.tar.gz
Group:	 Emulators
License: GPL
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: SDL-devel 

%description
Gens is a Sega Megadrive, MegaCD & 32X emulator
Features include:

* OpenGL support
* Joypad support
* Real Sega CD-ROM support
* Sega ISO image support
* GTK+2 integrated interface


%prep
%setup -q

cd src

%build
%configure2_5x


%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -dm 755 %{buildroot}%{_bindir}
install -m 755 src/gens/%{name} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 644 pixmaps/* %{buildroot}%{_datadir}/%{name}
install -m 644 src/gens/gtkui/glade/*.gladep %{buildroot}%{_datadir}/%{name}

#icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 src/gens/gtkui/glade/resource/gens_small.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
convert %{buildroot}%{_datadir}/pixmaps/%{name}.png -resize 48x48 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

#desktop menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=Gens
Comment=Sega Genesis Emulator
GenericName=Sega Genesis Emulator
Exec=%{name}
Icon=%{name}
Terminal=false
Categories=Game;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README BUGS *.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Jul 17 2009 slick50 <lxgator@gmail.com> 2.5.15-1pclos2009
- initial pkg
